> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List posts of an Instagram account



## OpenAPI

````yaml get /api/public/instagram/accounts/{instagramAccountId}/posts
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/instagram/accounts/{instagramAccountId}/posts:
    get:
      tags:
        - Instagram Comment Automations
      summary: List posts of an Instagram account
      operationId: PublicInstagramCommentAutomationController_listPosts
      parameters:
        - name: x-api-key
          in: header
          description: API key required to authorize the request
          required: true
          schema:
            type: string
        - name: instagramAccountId
          required: true
          in: path
          description: Vambe Instagram account id (from GET /public/instagram/accounts)
          schema:
            type: string
        - name: search
          required: false
          in: query
          schema:
            type: string
        - name: postType
          required: false
          in: query
          schema:
            enum:
              - feed
              - ad
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: offset
          required: false
          in: query
          schema:
            minimum: 0
            maximum: 9007199254740991
            default: 0
            type: integer
        - name: automationFilter
          required: false
          in: query
          schema:
            enum:
              - all
              - with-automation
              - without-automation
            type: string
      responses:
        '200':
          description: Paginated posts.

````